Subject: Re: bug#79180: 31.0.50; Customize-browse emits treesit warnings

From: Juri Linkov <[email-masked]>
Date: Tue, 12 Aug 2025 09:18:43 +0300

> OK, so can you describe the workflow of someone who wants to use
> markdown-ts-mode for Markdown files?  Currently, they need to load
> markdown-ts-mode; what would be the replacement of that if this patch
> is installed?

Here is the workflow: when someone wants to use markdown-ts-mode for
Markdown files, then the user customizes the option 'treesit-enabled-modes'
either to t (enables all ts-modes) or to the list '(markdown-ts-mode)'
(by clicking on the checkbox "markdown-ts-mode").  Then no need to
load markdown-ts-mode manually: visiting a Markdown file will autoload
markdown-ts-mode.